Extraction API
Introduction
The Extraction API is used to extract certain details from the Business PAN card like Name, Date of Issue, and so on for Business PAN holder using the OCR.
How to call the API
Before fetching the details via PAN number, you first need to create an Identity object. For best results, please make sure that the image you use fits tightly in camera view and is horizontally aligned. Each image/pdf should be less than 2MB.
API Input Guidelines
- Image should be well lit
- Image should be less than 2MB in size
- API accepts only image/pdf or URLs of image
PAN Card reading system also accepts the direct URL of the image of PAN, for data extraction.
Step 1: Hit Identities API
Sample CURL Request
curl --location --request POST '<https://preproduction.signzy.tech/api/v2/patrons/..patronId../identities'> \
--header 'Authorization: <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"type": "bussinessPan",
"email": "<email Id>",
"callbackUrl": "<https://www.w3schools.com",>
"images": [<images Url>]
}'Request Parameters
Parameters Name | Description | Required/Optional |
|---|---|---|
content-type | application/json | Required |
itemId | Identity ID | Required |
essentials | Essential part of the request | Required |
task | Task is always autoReognition for extraction | Required |
accessToken | Unique token generated from patron login | Required |
Sample Response
{
"type": "bussinessPan",
"email": " ",
"callbackUrl": "<https://www.w3schools.com>",
"images": [],
"accessToken": " ",
"autoRecognition": [],
"verification": [],
"forgeryCheck": [],
"id": " ",
"patronId": " "
}Response Parameter
Parameter Name | Description |
|---|---|
accessToken | This is provided by identities API |
autoRecognition | Auto recognises text from upload image |
verification | verification is done |
forgeryCheck | Forgery check is done |
id | Unique user id |
patronId | Unique patron id |
Step 2: Hit Snoops API and receive a response
Request CURL
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/snoops' \
--header 'content-type: application/json' \
--header 'Authorization: <token>' \
--data-raw '{
"service": "Identity",
"itemId": "",
"accessToken": "",
"task": "autoRecognition",
"essentials": {}
}'Input Parameters
PARAMETER NAME | Required/Optional | DESCRIPTION |
|---|---|---|
Authorization | Required | Contains the id parameter returned from the login step |
content-type | Required | application/json |
service | Required | Type of Signzy service - “identity extraction” |
itemId | Required | Contains the identity item id |
accessToken | Required | Identity access token |
task | Required | The type of task performed - “Auto Recognition” |
essentials | Required | Contains the essential output data |
Sample API Response
{
"service": "Identity",
"itemId": " ",
"task": "autoRecognition",
"essentials": {},
"accessToken": " ",
"id": " ",
"response": {
"files": [
"https://preproduction-persist.signzy.tech/api/files/36855993/download/43bb340cce10483a8f612161d2d4d1f1c934a8c2898a4421b571812d023bxxxx.jpeg"
],
"type": "businessPan",
"instance": {
"id": " ",
"callbackUrl": "https://pp.propelld.com/api/verification/signzy/callback/individualPan?requestId=5010f38b-03ed-4cd6-b20b-79f2a01xxxx"
},
"id": 25,
"result": {
"dateOfIssue": "02/08/2004",
"name": "SR FILLING STATION",
"number": "ABGF84XXX",
"summary": {
"number": "ABGF84XXX",
"name": "SR FILLING STATION",
"dob": "",
"address": "",
"splitAddress": {
"district": [],
"state": [
[]
],
"city": [],
"pincode": "",
"country": [],
"addressLine": ""
},
"gender": "",
"guardianName": "",
"issueDate": "02/08/2004",
"expiryDate": "",
"fatherName": ""
},
"dob": "",
"fatherName": ""
}
}
}Output Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
service | Type of service - “identity” |
ItemId | Contains the identity item id |
task | The type of task performed - “Auto Recognition” |
essentials | Contains the essential output data |
essentials.accessToken | Contains the access token that was received from identity request |
essentials.id | Contains the unique Id of the snoop request |
response | Contains the output files |
response.Files | Contains the image URL of the output. |
type | type of identity : "individualPAN/businessPAN" |
id | Unique id of the identity |
result | This holds final result parameters of the response. |
result.DateOfIssue | Date Of Birth of cardholder/Date of Issue in case of business Pan |
result.name | Name of the PAN cardholder/Organisation name in case of business Pan |
result.number | PAN number of the Business |
result.fatherName | Father's name (in case of individual PAN) |
summary | Summary |
summary.name | Name of the PAN cardholder/Organisation name in case of business Pan |
summary.fatherName | Father's name on the card (valid only for individual PAN) |
summary.dob | Date Of Birth of cardholder/Date of Issue in case of business Pan |
summary.number | PAN number of the Business |
summary.splitAddress | Split address of the entity |
summary.gender | Gender (in case of Individual PAN) |
summary.guardianName | Name of the guardian (in case of Individual PAN) |
summary.issueDate | Date of Issue in case of business Pan |
summary.expiryDate | Expiry Date |
summary.fatherName | Father's name |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].